## Package org.apache.lucene.queryParser.surround.query

This package contains SrndQuery and its subclasses.

See:
Description

Interface Summary
DistanceSubQuery
SimpleTerm.MatchingTermVisitor

Class Summary
AndQuery
BasicQueryFactory
ComposedQuery
DistanceQuery
FieldsQuery
NotQuery
OrQuery
SimpleTerm
SpanNearClauseFactory
SrndPrefixQuery
SrndQuery
SrndTermQuery
SrndTruncQuery

Exception Summary
TooManyBasicQueries

## Package org.apache.lucene.queryParser.surround.query Description

This package contains SrndQuery and its subclasses.

The parser in the org.apache.lucene.queryParser.surround.parser package normally generates a SrndQuery.

For searching an org.apache.lucene.search.Query is provided by the SrndQuery.makeLuceneQueryField method. For this, TermQuery, BooleanQuery and SpanQuery are used from Lucene.